Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Fund customer accounts on major Nigerian betting platforms.
GET /api/v1/business/vas/betting/billers
curl -X GET "https://api.usenumero.com/numeroaccount/api/v1/business/vas/betting/billers" \ -H "X-Numero-Api-Key: your_api_key" \
{ "data": { "billers": [ { "itemCode": "BET9JA", "itemName": "Bet9ja", "category": "betting" }, { "itemCode": "SPORTYBET", "itemName": "SportyBet", "category": "betting" } ] }, "error": null, "meta": { "request_id": "req_365123ebc73323f1482508560ce6400e", "pagination": null } }
POST /api/v1/business/vas/betting/validate
type
customerId
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/vas/betting/validate" \ -H "Content-Type: application/json" \ -H "X-Numero-Api-Key: your_api_key" \ -H "X-Numero-Signature: $SIGNATURE" \ -H "X-Numero-Signature-Version: v2" \ -d '{ "type": "BET9JA", "customerId": "12345678" }'
{ "data": { "message": "Validation successful", "data": { "customerName": "John Doe", "customerId": "12345678" } }, "error": null, "meta": { "request_id": "req_365123ebc73323f1482508560ce6400e", "pagination": null } }
POST /api/v1/business/vas/betting/fund
reference
name
amount
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/vas/betting/fund" \ -H "Content-Type: application/json" \ -H "X-Numero-Api-Key: your_api_key" \ -H "X-Numero-Signature: $SIGNATURE" \ -H "X-Numero-Signature-Version: v2" \ -H "Idempotency-Key: $(uuidgen)" \ -d '{ "reference": "BET-20240115-001", "type": "BET9JA", "customerId": "12345678", "name": "John Doe", "amount": 2000 }'
{ "data": { "message": "Funding successful", "reference": "BET-20240115-001", "data": { "customerId": "12345678", "amount": 2000 } }, "error": null, "meta": { "request_id": "req_365123ebc73323f1482508560ce6400e", "pagination": null } }